Bug 1867564 - remote-viewer segment fault when connect to a being migrated VM
Summary: remote-viewer segment fault when connect to a being migrated VM
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: spice-gtk
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-10 11:37 UTC by Frediano Ziglio
Modified: 2021-02-15 22:50 UTC (History)
14 users (show)

Fixed In Version: spice-gtk-0.38-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1746239
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
the threads backtrace of comment16 (19.81 KB, text/plain)
2021-01-15 09:12 UTC, Han Han
no flags Details

Description Frediano Ziglio 2020-08-10 11:37:48 UTC
+++ This bug was initially created as a clone of Bug #1746239 +++

Description of problem:
As subject

Version-Release number of selected component (if applicable):
Migration host:
qemu-kvm-4.1.0-4.module+el8.1.0+4020+16089f93.x86_64
libvirt-5.6.0-2.module+el8.1.0+4015+63576633.x86_64
spice-server-0.14.2-1.el8.x86_64

Spice client:
virt-viewer-9.0-3.el8.x86_64

See https://bugzilla.redhat.com/show_bug.cgi?id=1746239, specifically https://bugzilla.redhat.com/show_bug.cgi?id=1746239#c32. The original bug was fixed in RHEL 8.3 but the bug from comment 32 is a different one. The new bug, from the stack trace, is due likely to the fact that "mig" variable, allocated in the stack, disappeared potentially as the stack was freed (this happens when the coroutine ends).

Comment 1 Frediano Ziglio 2020-08-10 12:14:57 UTC
Han, do you have more information for the specific crash? Do you have additional logs or cores?

Comment 2 Frediano Ziglio 2020-08-10 16:02:12 UTC
Proposed a patch https://gitlab.freedesktop.org/spice/spice-gtk/-/merge_requests/61. But I didn't manage to reproduce the initial issue.

Comment 3 Han Han 2020-08-11 01:25:36 UTC
(In reply to Frediano Ziglio from comment #1)
> Han, do you have more information for the specific crash? Do you have
> additional logs or cores?

I am not sure what infomation or debug log you request?
For the details of bug reproducing I had posted these on the bug report of BZ1746239

Comment 5 Frediano Ziglio 2020-08-11 14:50:58 UTC
(In reply to Han Han from comment #3)
> (In reply to Frediano Ziglio from comment #1)
> > Han, do you have more information for the specific crash? Do you have
> > additional logs or cores?
> 
> I am not sure what infomation or debug log you request?
> For the details of bug reproducing I had posted these on the bug report of
> BZ1746239

I'm trying to reproduce the bug on old comment 32 but after more than 1200 migrations I didn't get the issue.
Maybe is something different.
I'm trying with RHEL 8.3 both client and server.
The only information you posted for comment 32 is a stack trace but it would be useful to reproduce in order to check if the fix really solve the issue.

Comment 6 Frediano Ziglio 2020-08-12 11:05:27 UTC
I let the reproduction scripts run. In 5400 attempts to launch remote-viewer it never crashed.
I still think that specific crash could happen but surely I'm missing something.
Maybe the race is caused by some different timing (I'm running a client on one of the hosts I'm running the VM migrated).

Comment 7 Han Han 2020-08-13 02:00:56 UTC
(In reply to Frediano Ziglio from comment #5)
> (In reply to Han Han from comment #3)
> > (In reply to Frediano Ziglio from comment #1)
> > > Han, do you have more information for the specific crash? Do you have
> > > additional logs or cores?
> > 
> > I am not sure what infomation or debug log you request?
> > For the details of bug reproducing I had posted these on the bug report of
> > BZ1746239
> 
> I'm trying to reproduce the bug on old comment 32 but after more than 1200
> migrations I didn't get the issue.
> Maybe is something different.
> I'm trying with RHEL 8.3 both client and server.
> The only information you posted for comment 32 is a stack trace but it would
> be useful to reproduce in order to check if the fix really solve the issue.

I cannot remember exactly what I did in the comment32.
I think that's the same process of BZ1746239
I will run the script to reproduce it later

Comment 17 Han Han 2021-01-15 09:12:58 UTC
Created attachment 1747721 [details]
the threads backtrace of comment16


Note You need to log in before you can comment on or make changes to this bug.